import java.awt.*;

//
//
// AboutDlg
//
//
class AboutDlg extends Dialog
{
	private Button m_OK = null;

	public AboutDlg(Frame parent, boolean modal)
	{
		super(parent, "About The Virtual ColecoVision", modal);
		
		resize(325,325);

		Panel contents = new Panel();
		contents.setLayout(new GridLayout(17, 1));

		contents.add(new Label("Virtual ColecoVision for Java", Label.CENTER));
		contents.add(new Label("A ColecoVision Emulator for the Java VM", Label.CENTER));
		contents.add(new Label("Copyright (C) 1997 by Neal Danner", Label.CENTER));
		contents.add(new Label("All rights reserved.", Label.CENTER));
		contents.add(new Label(""));
		contents.add(new Label("TMS9928A VDP emulation based on original", Label.CENTER));
		contents.add(new Label("code by Marat Fayzullin.", Label.CENTER));
		contents.add(new Label(""));
		contents.add(new Label("ColecoVision(tm) is a registered trademark of Coleco.", Label.LEFT));
		contents.add(new Label(""));
		contents.add(new Label("This product, as packaged in it's original ZIP file, does", Label.LEFT));
		contents.add(new Label("not include the ColecoVision's OS ROM image nor", Label.LEFT));
		contents.add(new Label("game cartridge ROM images.", Label.LEFT));
		contents.add(new Label(""));
		contents.add(new Label("Read the VColecoJava.txt file for more information.", Label.LEFT));
		add("Center", contents);

		Panel bottom = new Panel();
		m_OK = new Button("OK");
		m_OK.resize(50,14);
		bottom.add(m_OK);
		add("South", bottom);
	}

	public boolean handleEvent(Event evt)
	{
		switch(evt.id)
		{
			case	Event.WINDOW_DESTROY:
				dispose();
				return true;

			case Event.ACTION_EVENT:
				if (m_OK==evt.target)
					postEvent(new Event(this, Event.WINDOW_DESTROY, null));
				return true;

			default:
				return super.handleEvent(evt);
		}
	}
}

